Last Comment Bug 701994 - Tab counter animation should show overlapping of numbers
: Tab counter animation should show overlapping of numbers
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P3 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-12 01:06 PST by Sriram Ramasubramanian [:sriram]
Modified: 2012-01-09 15:19 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Patch (12.07 KB, patch)
2011-11-12 01:17 PST, Sriram Ramasubramanian [:sriram]
no flags Details | Diff | Splinter Review
Patch (1.46 KB, patch)
2011-11-12 01:20 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Sriram Ramasubramanian [:sriram] 2011-11-12 01:06:56 PST
As per the UI spec, the tab counter animation should show overlapping of numbers.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-11-12 01:17:54 PST
Created attachment 574013 [details] [diff] [review]
Patch

I tried re-implementing TextSwitcher as a Odometer. This moves all the logic to a new file and does the overlap.
The magic was in setting the amount to displace (currently 30%) :sigh: :( :(
Comment 2 Sriram Ramasubramanian [:sriram] 2011-11-12 01:20:21 PST
Created attachment 574014 [details] [diff] [review]
Patch

If "the amount to displace" was the "magic" for showing a overlap, I was wondering if that would work with TextSwitcher also.

Strangely it does!! :(
After 2 hours of working on the previous patch, I figured out it takes just 4 line change in existing code to achieve the same effect! :big-sigh: :(
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-14 15:05:08 PST
https://hg.mozilla.org/projects/birch/rev/859ecdfe0168
Comment 4 Aaron Train [:aaronmt] 2011-11-15 06:10:35 PST
Neat.

Sririam, did you file a bug for tweaking the animation speed?

20111115040200
http://hg.mozilla.org/projects/birch/rev/97283e503e1e

Note You need to log in before you can comment on or make changes to this bug.